Last modified: 2014-06-21 14:22:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 53245 - Audit jQuery use in UploadWizard
Audit jQuery use in UploadWizard
Status: PATCH_TO_REVIEW
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
master
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: javascript, performance
: 50323 (view as bug list)
Depends on:
Blocks: code_quality 49987
  Show dependency treegraph
 
Reported: 2013-08-22 23:17 UTC by Mark Holmquist
Modified: 2014-06-21 14:22 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2013-08-22 23:17:37 UTC
There's a lot of jQuery use in UW, but a lot of it seems like it was thrown in before we have our current best-practices guidelines for its use, and really doesn't follow them. Probably something it would be good to look into.
Comment 1 Gerrit Notification Bot 2013-10-01 03:40:11 UTC
Change 86803 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.ApiUploadHandler.js

https://gerrit.wikimedia.org/r/86803
Comment 2 Gerrit Notification Bot 2013-10-01 03:56:30 UTC
Change 86804 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.DestinationChecker.js

https://gerrit.wikimedia.org/r/86804
Comment 3 Gerrit Notification Bot 2013-10-01 04:08:06 UTC
Change 86805 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.ErrorDialog.js

https://gerrit.wikimedia.org/r/86805
Comment 4 Mark Holmquist 2013-10-01 04:16:47 UTC
*** Bug 50323 has been marked as a duplicate of this bug. ***
Comment 5 Gerrit Notification Bot 2013-10-01 04:43:52 UTC
Change 86810 had a related patch set uploaded by MarkTraceur:
jquery audit of mw.GroupProgressBar.js

https://gerrit.wikimedia.org/r/86810
Comment 6 Gerrit Notification Bot 2013-10-01 05:06:09 UTC
Change 86811 had a related patch set uploaded by MarkTraceur:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/86811
Comment 7 Gerrit Notification Bot 2013-10-01 06:34:37 UTC
Change 86814 had a related patch set uploaded by MarkTraceur:
jquery audit and code convention fixes for mw.UWUI

https://gerrit.wikimedia.org/r/86814
Comment 8 Gerrit Notification Bot 2013-10-06 19:29:49 UTC
Change 87885 had a related patch set uploaded by MarkTraceur:
jquery audit for mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/87885
Comment 9 Gerrit Notification Bot 2013-10-06 22:22:34 UTC
Change 87885 merged by jenkins-bot:
jquery audit for mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/87885
Comment 10 Gerrit Notification Bot 2013-10-07 16:02:10 UTC
Change 88124 had a related patch set uploaded by MarkTraceur:
jquery audit for mw.UploadWizard.js

https://gerrit.wikimedia.org/r/88124
Comment 11 Gerrit Notification Bot 2013-10-08 14:49:01 UTC
Change 88476 had a related patch set uploaded by Alex Monk:
Fix a few remaining things in mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/88476
Comment 12 Gerrit Notification Bot 2013-10-31 09:07:49 UTC
Change 88476 merged by jenkins-bot:
Fix a few remaining things in mw.LanguageUpWiz.js

https://gerrit.wikimedia.org/r/88476
Comment 13 Gerrit Notification Bot 2014-05-02 08:43:44 UTC
Change 86811 merged by jenkins-bot:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/86811
Comment 14 Gerrit Notification Bot 2014-06-21 12:15:07 UTC
Change 141191 had a related patch set uploaded by Inchikutty:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/141191
Comment 15 Gerrit Notification Bot 2014-06-21 14:22:18 UTC
Change 141191 abandoned by Alex Monk:
jquery audit on mw.IframeTransport.js

https://gerrit.wikimedia.org/r/141191

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links